メインコンテンツまでスキップ

オンデマンドクラスターの削除 (V2)

Delete an on-demand cluster in the current project.

DELETE/v2/clusters/onDemandClusters/{CLUSTER_ID}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つ API key である必要があります。

値の例: Bearer {{TOKEN}}
Acceptstringheader

application/json を使用します。

値の例: application/json
CLUSTER_IDstringpath必要

説明対象のクラスターの ID。

値の例: inxx-xxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/clusters/onDemandClusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

削除されたクラスターの ID を返します。

codeinteger

レスポンスコード。

dataobject

レスポンスペイロード。

clusterIdstring

削除されたクラスターの ID。

promptstring

返されたプロンプトメッセージ。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters."
}
}
Ctrl I